Subject: Re: linux-next: error importing i2c quilt series

From: Jean Delvare <[email-masked]>
Date: Mon, 25 Oct 2010 10:34:04 +0200

Hi Stephen,

On Mon, 25 Oct 2010 10:59:00 +1100, Stephen Rothwell wrote:
> Hi Jean,
> 
> Trying to import today's i2c quilt series gave me these errors:
> 
> i2c-i801-add-intel-patsburg-device-id.patch
> error: patch failed: include/linux/pci_ids.h:2444
> error: include/linux/pci_ids.h: patch does not apply
> Context reduced to (1/1) to apply fragment at 101
> Context reduced to (1/1) to apply fragment at 45
> error: patch failed: drivers/i2c/busses/i2c-i801.c:592
> error: drivers/i2c/busses/i2c-i801.c: patch does not apply
> 
> I will use the i2c tree from next-20101022 for today.

This patch depends on a patch adding/updating PCI IDs which I thought
was in Jesse Barnes' pci tree which you also pull in linux-next.
Apparently my assumption was wrong.

Jesse, where's this patch?
  https://patchwork.kernel.org/patch/230361/
I certainly hope it's scheduled for merge soon!

Meanwhile I've removed the other patch from my i2c-next tree, it will
be back only when I'm certain it applied fine.

Thanks,
-- 
Jean Delvare